### Method

# WebKit WebExtensionMatchPattern ref

#### Declaration [src]

    WebKitWebExtensionMatchPattern*
    webkit_web_extension_match_pattern_ref (
      WebKitWebExtensionMatchPattern* matchPattern
    )

#### Description [src]

Atomically acquires a reference on the given `matchPattern`.

This function is MT-safe and may be called from any thread.

Available since: | 2.48

#### Return value

Returns: | `WebKitWebExtensionMatchPattern`
| The same `matchPattern` with an additional reference.
| The caller of the method takes ownership of the data, and is responsible for freeing it.